/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Operator;
import org.xmloperator.lambda.net.model.Port;

/**
 * Exception throwed when working on an Operator.
 */
public class OperatorException extends RuntimeException {
  private final Operator operator;
  private final Port port;
  
  public OperatorException() {
		this.operator = null;
		this.port = null;
  }
  
  public OperatorException(Operator operator) {
    this.operator = operator;
    this.port = null;
  }
  
	public OperatorException(Port port) {
		this.operator = port.getOperator();
		this.port = port;
	}
  
  public OperatorException(Operator operator, String message) {
  	super(message);
		this.operator = operator;
		this.port = null;
  }
  
	public OperatorException(Port port, String message) {
		super(message);
		this.operator = port.getOperator();
		this.port = port;
	}
  
  public final Operator getOperator() {
    return this.operator;
  }

	public final Port getPort() {
		return this.port;
	}
}
