/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Operator;

/**
 * Exception raised on trying to interact two Abstractors or two Applicators.
 * These annihilations are unexpected when using the beta reduction.
 */
public class UnexpectedAnnihilationException extends OperatorException {

	public UnexpectedAnnihilationException() {
		super();
	}

	public UnexpectedAnnihilationException(Operator operator) {
		super(operator);
	}

	public UnexpectedAnnihilationException(Operator operator, String message) {
		super(operator, message);
	}
}
