/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.model;

/**
 * Duplicator in a lambda-net.
 */
public interface Duplicator extends IndexedOperator {

	/**
	 * Returns its first input Port (the direction being not inversed).
	 *   This is the first auxiliary Port.
	 * @return its first input Port (the direction being not inversed).
	 */
	public Port getInput1();
	
	/**
	 * Returns its second input Port (the direction being not inversed).
	 *   This is the second auxiliary Port.
	 * @return its second input Port (the direction being not inversed).
	 */
	public Port getInput2();
	
	/**
	 * Returns its output Port (the direction being not inversed).
	 *   This is the principal Port.
	 * @return its output Port (the direction being not inversed).
	 */
	public Port getOutput();
}
