/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.model;

/**
 * Binding between Delimiters and their mapping Abstractors.
 */
public interface ScopeBinder {

	/**
	 * Return this ScopeBinder to the Factory.
	 * <p><b>Post-condition:</b> this is no more usable.</p>
	 */
	public void returnToFactory();

	/**
	 * Returns the list of duplicated Abstractors that are the target of this
	 *   binding.
	 * @return the list of duplicated Abstractors that are the target of this
	 *   binding.
	 */
	public OperatorList getAbstractorList();
	
	/**
	 * Returns the list of duplicated Delimiters that are the source of this
	 *   binding.
	 * @return the list of duplicated Delimiters that are the source of this
	 *   binding.
	 */	
	public OperatorList getDelimiterList();
}
