/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.shared;

/**
 * Factory for arrays of objects whose lengths are powers of 2.
 */
public interface ObjectArrayFactory {

	/**
	 * Creates a new Object array with the given length and returns it.
	 * The proposed length may be replaced by a greater length.
	 * @param length the array length. Must be a power of 2.
	 * @return the created Object array.
	 * @throws IllegalArgumentException if the given length is not a power
	 *   of <tt>2</tt>.
	 */
	public Object[] createObjectArray(int length);

	/**
	 * Returns a no more used Object array to the factory.
	 * @param objectArray the no more used FanMap.
	 */
	public void returnObjectArray(Object[] objectArray);
}
