/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;


/**
 * Exception throwed during an operation on a Term.
 */
public class TermException extends RuntimeException {
  private Term term;
  
  public TermException() {
    this(null);
  }
  
  public TermException(Term term) {
    this.term = term;
  }
  
  public TermException(Term term, String message) {
  	super(message);
	this.term = term;
  }
  
  public final Term getTerm() {
    return this.term;
  }
  
  public final void setTerm(Term term) {
  	this.term = term;
  }
}
