/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.model;

/**
 * Application Term.
 */
public interface Application extends TermWithBody {

	/**
	 * Returns the argument Term of this Application.
	 * @return the argument Term of this Application.
	 */
	public Term getArgument();

	/**
	 * Set the argument of this Application.
	 * @param argument a Term.
	 * @throws IllegalArgumentException if the given Term is null or has
	 *   already a parent.
	 * @throws IllegalCastException if the implementation of the argument
	 *   is not compatible with the implementation of this Application.
	 * @throws ReturnedToTheFactoryException if this Application has been
	 *   returned to the factory.
	 */
	public void setArgument(Term argument);
	
	/**
	 * Clear the argument of this Application.
	 */
	public void clearArgument();
}
